%define name	howl
%define version 1.0.0
%define release %mkrel 1
%define major	0
%define libname %mklibname %name %major

Summary: Cross platform implementation of Zeroconf/Rendezvous
Name:	 %name
Version: %version
Release: %release
License: BSD
Group:   Networking/Other
URL:	 http://sourceforge.net/projects/howl/
Source0: http://prdownloads.sourceforge.net/howl/%name-%version.tar.bz2
Source1: mDNSResponder.init
Source2: nifd.init
Source3: mDNSResponder.conf
# (fc) 0.9.8-1mdk fix libdir reference (Fedora)
Patch0:  howl-0.9.8-libdir.patch.bz2
# (fc) 0.9.8-1mdk fix pkgconfig file (Fedora)
Patch1:  howl-0.9.8-pkgconfig.patch.bz2
Patch2: howl-0.9.9-automake.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: automake1.7
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
Howl is a cross-platform implementation of Zeroconf networking. Zeroconf
brings a new ease of use to IP networking.

%package -n %libname

Summary: Libraries for %name
Group:   System/Libraries
Requires: %{name} >= %{version} 

%description -n %libname
Libraries for %name

%package -n %libname-devel

Summary: Development headers for %name
Group:   Development/C
Requires: %libname = %version
Provides: lib%name-devel = %version-%release
Provides: lib%name%version-devel = %version-%release
Provides: %name-devel = %version-%release
Conflicts: %{_lib}howl0.9.7_1-devel

%description -n %libname-devel
Development headers for %name

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .pkgconfig
%patch2 -p1

#needed by patch1
aclocal-1.7
automake-1.7
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/mDNSResponder
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/nifd
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/howl
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/howl/mDNSResponder.conf

#fix up header file directory naming bug
mv $RPM_BUILD_ROOT%{_includedir}/howl $RPM_BUILD_ROOT%{_includedir}/howl-%{version}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post
%_post_service mDNSResponder
%_post_service nifd

#%postun
#/sbin/service mDNSResponder condrestart
#/sbin/service nifd condrestart

%preun
%_preun_service mDNSResponder
%_preun_service nifd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README TODO AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/howl
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%{_bindir}/*
%{_datadir}/%name
%{_mandir}/man8/*.8.bz2

%files -n %libname
%defattr (-,root,root)
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/howl.pc

%changelog
* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- New release 1.0.0

* Thu May 12 2005 Stefan van der Eijk <stefan@eijk,nu> 0.9.10-2mdk
- %%mkrel
- disable %%postun, it's preventing de-installation of package

* Sun Jan 30 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- New release 0.9.10

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- small build patch
- New release 0.9.9

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-2mdk 
- Add conflicts to ease upgrade

* Mon Jan 03 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-1mdk 
- Release 0.9.8
- Remove patch0 (merged upstream)
- Patch0 (Fedora): fix libdir
- Patch1 (Fedora): fix pkgconfig file

* Sun Nov  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- fix major, so upgrades from 0.9.6 are possible

* Sun Nov 7 2004 Spencer Anderson <sdander@oberon.ark.com> 0.9.7-1mdk
- 0.9.7

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- bump major
- New release 0.9.6

* Mon Jun 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-2mdk
- spec fixes
- move pkgconfig file to the devel package
- fix include path in the pkgconfig file

* Sun Jun 27 2004 Spencer Anderson <sdander@oberon.ark.com> 0.9.5-1mdk
- initial mdk release
